﻿/****************************
*         partychick        *
*   Version 1.0 22.07.2014  *
*     created by oldster    *
*    http://itheming.de/    *
****************************/
var obj = {error:false, errorString:null};

var this_weekday_name_array=["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"];
var this_month_name_array=["Januar","Februar","März","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"];
var currentHours_name_array = new Array ("null Uhr", "ein Uhr", "zwei Uhr", "drei Uhr", "vier Uhr", "fünf Uhr", "sechs Uhr", "sieben Uhr", "acht Uhr", "neun Uhr", "zehn Uhr",
	"elf Uhr", "zwölf Uhr", "dreizehn Uhr", "vierzehn Uhr", "fünfzehn Uhr", "sechzehn Uhr", "siebzehn Uhr", "achtzehn Uhr", "neunzehn Uhr", "zwanzig Uhr", 
	"einundzwanzig Uhr", "zweiundzwanzig Uhr", "dreiundzwanzig Uhr", "null Uhr")

var currentMinutes_name_array = new Array (" ", "eins", "zwei", "drei", "vier", "fünf", "sechs", "sieben", "acht", "neun", "zehn", 
	"elf", "zwölf", "dreizehn", "vierzehn", "fünfzehn", "sechzehn", "siebzehn", "achtzehn", "neunzehn", "zwanzig", 
	"einundzwanzig", "zweiundzwanzig", "dreiundzwanzig", "vierundzwanzig", "fünfundzwanzig", "sechsundzwanzig", "siebenundzwanzig", "achtundzwanzig","neunundzwanzig", "dreißig",
	"einunddreißig", "zweiunddreißig", "dreiunddreißig", "vierunddreißig", "fünfunddreißig", "sechsunddreißig", "siebenunddreißig", "achtunddreißig", "neununddreißig", "vierzig",
	"einundvierzig", "zweiundvierzig", "dreiundvierzig", "vierundvierzig", "fünfundvierzig", "sechsundvierzig", "siebenundvierzig", "achtundvierzig", "neunundvierzig", "fünfzig",
	"einundfünfzig", "zweiundfünfzig", "dreiundfünfzig", "vierundfünfzig", "fünfundfünfzig", "sechsundfünfzig", "siebenundfünfzig", "achtundfünfzig", "neunundfünfzig" , " ")	

setInterval( function time() {
	document.getElementById("status").innerHTML = "function time";
	if(gps_weather) read_myLocation_txt();
	
	var date    = new Date().getDate();
	var day     = new Date().getDay();
	var month   = new Date().getMonth();
	var year    = new Date().getFullYear();
	var mins    = new Date().getMinutes();
	var hours   = new Date().getHours();
	
	document.getElementById("weekday").innerHTML = this_weekday_name_array[day];
	document.getElementById("clock").innerHTML= currentHours_name_array[hours] + " " + currentMinutes_name_array[mins];
	document.getElementById("calendar").innerHTML= date + ". " + this_month_name_array[month];
	
	var currentTime = new Date ();
	if (locale != woeid && woeid != "") {
	  locale = woeid;
	  readWeather();    
	} 
	if (lastWeather == 0){
	  readWeather();
	  lastWeather = currentTime.getTime();
	}
	else{
	  if (currentTime.getTime() - lastWeather >= nextWeather){
	    lastWeather = currentTime.getTime();
	   	readWeather();
	  }
	}	
	
		
	}, 1000 );
	
/****************************
*      classic weather      *
*         by oldster        *
*   Version 1.0 31.05.2012  *
*    http://itheming.de/    *
****************************/
var lastWeather = 0;
var nextWeather = 15*60*1000;

function readWeather() {
	document.getElementById("status").innerHTML = "readWeather";
	url="http://weather.yahooapis.com/forecastrss?w="+locale+"&u=c";
	// original source code from http://www.w3schools.com/ajax/ajax_xmlhttprequest_create.asp
	var xmlhttp;
 	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
   		xmlhttp=new XMLHttpRequest();
   	}
 	else {// code for IE6, IE5
   		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
   	}
	xmlhttp.open("GET",url,true);	
	xmlhttp.onreadystatechange=function() {
		if (xmlhttp.readyState==4 && xmlhttp.status == 200) {
     		xmlDoc=xmlhttp.responseXML;
			writeWeather(xmlDoc);
   		}
   	}
	xmlhttp.overrideMimeType("text/xml");
	
	xmlhttp.send(null);
}

function writeWeather(xmlDoc) {
	document.getElementById("status").innerHTML = "writeWeather";
	var effectiveRoot = findChild(findChild(xmlDoc, "rss"), "channel");
	
	// The location of this forecast
	obj.city = findChild(effectiveRoot, "yweather:location").getAttribute("city");
	// Units for various aspects of the forecast
	obj.tempunit = findChild(effectiveRoot, "yweather:units").getAttribute("temperature");
	// The current weather conditions
	conditionTag = findChild(findChild(effectiveRoot, "item"), "yweather:condition");	
	obj.temp = conditionTag.getAttribute("temp");
	
	document.getElementById("weather").innerHTML = obj.city + ", " + obj.temp + "°" + obj.tempunit;
}

/****************************
*         gpsLocation       *
*   Version 1.0 04.08.2012  *
*     created by oldster    *
*    http://itheming.de/    *
****************************/
var woeid = "";
//var state = "";
var old_latitude = "";
var old_longitude = "";
	
function read_myLocation_txt() {
	document.getElementById("status").innerHTML = "read_myLocation_txt";
	// original source code from http://www.w3schools.com/ajax/ajax_xmlhttprequest_create.asp
	var xmlhttp = null;
 	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
   		xmlhttp=new XMLHttpRequest();
   	}
 	else {// code for IE6, IE5
   		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
   	}	
	xmlhttp.onreadystatechange=function() {
		if (xmlhttp.readyState==4 ) {
			var geolocation = xmlhttp.responseText;
			var latlong = geolocation.split('\n');
			var latitude=(latlong[0]).split('=')[1];
			var longitude=(latlong[1]).split('=')[1];
			if(latitude!=old_latitude || longitude!=old_longitude) {
				old_latitude=latitude;
				old_longitude=longitude;
				read_geoData(latitude,longitude);
			}
        }
   	}
	xmlhttp.overrideMimeType("text/xml");
	//xmlhttp.open("GET",'myLocation.txt',true); // Demo Mode
	xmlhttp.open("GET",'../../../../../../var/mobile/Documents/myLocation.txt',true); 
	xmlhttp.send(null);
}

function read_geoData(latitude,longitude) {
	document.getElementById("status").innerHTML = "read_geoData";
	var url = 'http://query.yahooapis.com/v1/public/yql?q=select * from geo.placefinder where text="'+latitude+','+longitude+'" and gflags="R"';
	// original source code from http://www.w3schools.com/ajax/ajax_xmlhttprequest_create.asp
	var xmlhttp;
 	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
   		xmlhttp=new XMLHttpRequest();
   	}
 	else {// code for IE6, IE5
   		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
   	}	
	xmlhttp.onreadystatechange=function() {
		if (xmlhttp.readyState==4 && xmlhttp.status == 200) {
     		xmlDoc=xmlhttp.responseXML;
			write_geoData(xmlDoc);
   		}
   	}
	xmlhttp.overrideMimeType("text/xml");
	xmlhttp.open("GET",url,true);
	xmlhttp.send(null);
}

function write_geoData(xmlDoc) {
	document.getElementById("status").innerHTML = "write_geoData";
	var effectiveRoot = findChild(findChild(findChild(xmlDoc, "query"), 'results'), 'Result');
//	obj.quality       = resultElement(effectiveRoot.getElementsByTagName("quality"));
//	obj.latitude      = resultElement(effectiveRoot.getElementsByTagName("latitude"));
//	obj.longitude     = resultElement(effectiveRoot.getElementsByTagName("longitude"));
//	obj.radius        = resultElement(effectiveRoot.getElementsByTagName("radius"));
//	obj.name          = resultElement(effectiveRoot.getElementsByTagName("name"));
//	obj.line1         = resultElement(effectiveRoot.getElementsByTagName("line1"));
//	obj.line2         = resultElement(effectiveRoot.getElementsByTagName("line2"));
//	obj.line3         = resultElement(effectiveRoot.getElementsByTagName("line3"));
//	obj.line4         = resultElement(effectiveRoot.getElementsByTagName("line4"));
//	obj.house         = resultElement(effectiveRoot.getElementsByTagName("house"));
//	obj.street        = resultElement(effectiveRoot.getElementsByTagName("street"));
//	obj.postal        = resultElement(effectiveRoot.getElementsByTagName("postal"));
//	obj.neighborhood  = resultElement(effectiveRoot.getElementsByTagName("neighborhood")); 
//	obj.city2         = resultElement(effectiveRoot.getElementsByTagName("city"));
//	obj.county        = resultElement(effectiveRoot.getElementsByTagName("county"));
	obj.state         = resultElement(effectiveRoot.getElementsByTagName("state"));
	obj.country       = resultElement(effectiveRoot.getElementsByTagName("country"));
//	obj.countrycode   = resultElement(effectiveRoot.getElementsByTagName("countrycode"));
//	obj.statecode     = resultElement(effectiveRoot.getElementsByTagName("statecode"));
	obj.woeid         = resultElement(effectiveRoot.getElementsByTagName("woeid"));
//	obj.woetype       = resultElement(effectiveRoot.getElementsByTagName("woetype"));
//	obj.uzip          = resultElement(effectiveRoot.getElementsByTagName("uzip")); 
	woeid = obj.woeid;
	
}

function findChild (element, nodeName)
{
	var child;
	for (child = element.firstChild; child != null; child = child.nextSibling)
	{
       if (child.nodeName == nodeName)
		return child;
	}
	return null;
}

function resultElement(element) {
	var result = "no result";
	if(element[0].childNodes.length > 0) result = element[0].childNodes[0].nodeValue;
	return result;
}
